#pragma once
#include "LeafSimulationResult.h"
#include "AbstractSimulationResultDTO.h"
using namespace std;

class ArrivalsInfoDTO: public LeafSimulationResult
{
public:
	void setID(string _serviceName);
	void updateNumberOfArrivals();
	int getNumberOfArrivals();
	int AbstractSimulationResultDTO::getType();
	string AbstractSimulationResultDTO::getID();
	AbstractSimulationResultDTO* LeafSimulationResult::clone();
	ArrivalsInfoDTO(void){
		numberOfArrivals = 0;
	}
	ArrivalsInfoDTO(ArrivalsInfoDTO* oldCopy){
		serviceName = oldCopy->serviceName;
		numberOfArrivals = oldCopy->numberOfArrivals;
	}
private:
	static const int type = 5;
	string serviceName;
	int numberOfArrivals;
};